Subject: Re: [MEXT] [mext] #16: HA behaviour upon MN returning Home [Pascal Thubert <[email-masked]>]

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 02 Oct 2008 15:38:01 -0700

Hello Pascal,

I have some thoughts about this issue.

mext wrote:

> 
>  With both the original RFC 3775 and the current rework, a HA that has a
>  binding to a Home Address owns that Home Adddress over the Home Link
>  till either the node unbinds or the binding times out. Until then the HA
>  will defend that Home Address using the Override bit in the NA messages
>  over the Home Link, and until then a mobile node would be out of
>  compliance
>  to use its Home Address if it is at Home or switch to another HA if it is
>  not at Home.
> 
>  There are multiple issues with this behaviour:
> 
>  - service: Whether it is at Home or not, a node that looses the states
>  about its current binding might be unreachable until the end of its
>  binding lifetime. It will take a manual operation to recover from that
>  situation when the lifetime is too long. And it will cause excess
>  traffic or load on the HAs if the lifetime is too short. In any case
>  there will be a service disruption that the user might perceive.

Here, we have to imagine that a mobile node would lose the
state of its mobility security association, and yet not lose
its home address or other information.  Or, that it would
show up on its home network and run DHCP after suffering
from the loss of state, while not running any mobility-related
bootstrapping procedures.  It's not a totally convincing
scenario to me.

> 
>  - security: The HA defends an address that it does not own so it can not
>  prove it owns it. With SeND, it would just be nonsense for a HA to try
>  and reclaim SeND based addresses when a MN proves ownership on link.

It seems to me that this should be understood as a phenomenon
described as part of the SeND documentation.  If there is support
for making some relevant clarification as part of rfc3775bis,
would you be willing to write up some proposed text?

> 
>  - compatibility with other proxies: The HA performs a form of ND
>  proxying for the Mobile Node. We can expect that there will be new forms
>  of ND proxies coming up - see for instance
>  http://tools.ietf.org/html/draft-thubert-6lowpan-backbone-router-01 -,
>  and there should be a common behaviour over a shared link for proxies,
>  regardless of the registration mechanism; in particular a proxy should
>  yield in the face of the object it proxies for.

I agree with your last statement, and yet I don't see this
general statement as fitting very well as part of rfc3775bis.

> 
>  - speed: A Mobile Node reaching Home should be able to use its Home
>  Address as optimistic (RFC 4429) right away like it could do on any
>  visited link with any CoA.

This is a stronger argument I think, and yet still suffers
because the basic scenario about selectively losing state has
debatable relevance.

> 
> 
>  Proposed resolution:
> 
>  The proposal to fix this issue is to let the MN use DAD/oDAD over the
>  Home Link with its Home Address. A proxy would defend the address
>  without the O bit, and the MN would ignore it, and upon DAD completion,
>  NA(Override) its address. The HA would be allowed to set the override
>  bit only within a binding flow, when it knows synchronously that it
>  represents the live MN. That would enable new HA to take over old HA
>  when the MN looses states away from home. That would also enable MN to
>  make before break a tunnel with new HA.

Depending on whether there is support in the working group,
this modification might be workable.  So far, I can't think
of any major damage to any other part of rfc3775bis.  But, as
pointed out, it is a significant change to the existing
protocol and should not be undertaken lightly on the basis
of only the existing discussion so far.

Regards,
Charlie P.
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext